// (c) 2002 by Jrn Loviscach

#if !defined (PARAMS_H)
#define PARAMS_H

#include "adapt.h"
#include "brush.h"

struct Params
{
	float depthDiff;
	float angleDiff;
	float minDepth;
	float maxDepth;
	float silhGap;
	int intersctAsCreas;
	int minLength;
	float fitTolerance;
	int silhBrush;
	int creaseBrush;

	Brush::Param* silhBrushParams;
	Brush::Param* creaseBrushParams;

	Params()
	{
		silhBrushParams = 0;
		creaseBrushParams = 0;
	}

	~Params()
	{
		BDELETE(silhBrushParams);
		BDELETE(creaseBrushParams);
	}
};

#endif